com.thinkaurelius.titan.diskstorage.keycolumnvalue

## Interface KeyColumnValueStoreManager

- All Superinterfaces:
    StoreManager
  All Known Subinterfaces:
    CustomizeStoreKCVSManager
  All Known Implementing Classes:
    ExpectedValueCheckingStoreManager, InMemoryStoreManager, KCVSManagerProxy, OrderedKeyValueStoreManagerAdapter, TTLKVCSManager

      public interface KeyColumnValueStoreManager
      extends StoreManager

  KeyColumnValueStoreManager provides the persistence context to the graph database storage backend.

  A KeyColumnValueStoreManager provides transaction handles across multiple data stores that are managed by this KeyColumnValueStoreManager.
  Author:
    Matthias Bröcheler (me@matthiasb.com);

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mutateMany(Map<String,Map<StaticBuffer,KCVMutation>> mutations, StoreTransaction txh)` Executes multiple mutations at once.
    `KeyColumnValueStore` | `openDatabase(String name)` Opens an ordered database by the given name.

    - ### Methods inherited from interface com.thinkaurelius.titan.diskstorage.keycolumnvalue.StoreManager

      `beginTransaction, clearStorage, close, getFeatures, getLocalKeyPartition, getName`

- - ### Method Detail

    - #### openDatabase

          KeyColumnValueStore openDatabase(String name)
                                           throws BackendException

      Opens an ordered database by the given name. If the database does not exist, it is created. If it has already been opened, the existing handle is returned.
      Parameters:
        `name` - Name of database
      Returns:
        Database Handle
      Throws:
        `BackendException`

    - #### mutateMany

          void mutateMany(Map<String,Map<StaticBuffer,KCVMutation>> mutations,
                        StoreTransaction txh)
                          throws BackendException

      Executes multiple mutations at once. For each store (identified by a string name) there is a map of (key,mutation) pairs that specifies all the mutations to execute against the particular store for that key. This is an optional operation. Check `StoreManager.getFeatures()` if it is supported by a particular implementation.
      Parameters:
        `mutations` -
        `txh` -
      Throws:
        `BackendException`

Copyright © 2012–2014. All rights reserved.